Bug 173259 - mkfs hang on volume with snaphots
mkfs hang on volume with snaphots
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alasdair Kergon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-15 13:51 EST by Corey Marthaler
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-19 12:54:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2005-11-15 13:51:08 EST
Description of problem:
I created an LV with three snapshots and then attempted to make an ext
filesystem on that volume. The mkfs never finished. There were no messages in
the console about corruption or a lack memory for allocation.

[root@link-10 ~]# lvcreate -L 100G corey1
  Logical volume "lvol0" created
[root@link-10 ~]# lvscan
  ACTIVE            '/dev/corey1/lvol0' [100.00 GB] inherit
[root@link-10 ~]# lvcreate -L 100M -s /dev/corey1/lvol0
  Logical volume "lvol1" created
[root@link-10 ~]# lvcreate -L 100M -s /dev/corey1/lvol0
  Logical volume "lvol2" created
[root@link-10 ~]# lvcreate -L 100M -s /dev/corey1/lvol0
  Logical volume "lvol3" created
[root@link-10 ~]# lvscan
  ACTIVE   Original '/dev/corey1/lvol0' [100.00 GB] inherit
  ACTIVE   Snapshot '/dev/corey1/lvol1' [100.00 MB] inherit
  ACTIVE   Snapshot '/dev/corey1/lvol2' [100.00 MB] inherit
  ACTIVE   Snapshot '/dev/corey1/lvol3' [100.00 MB] inherit
[root@link-10 ~]# mkfs /dev/corey1/lvol0
mke2fs 1.35 (28-Feb-2004)
Filesystem label=
OS type: Linux
Block size=4096 (log=2)
Fragment size=4096 (log=2)
13107200 inodes, 26214400 blocks
1310720 blocks (5.00%) reserved for the super user
First data block=0
Maximum filesystem blocks=29360128
800 block groups
32768 blocks per group, 32768 fragments per group
16384 inodes per group
Superblock backups stored on blocks:
        32768, 98304, 163840, 229376, 294912, 819200, 884736, 1605632, 2654208,
        4096000, 7962624, 11239424, 20480000, 23887872

Writing inode tables: done
Writing superblocks and filesystem accounting information:
[HANG]

                                                         
Version-Release number of selected component (if applicable):
  LVM version:     2.02.00 (2005-11-10)
  Library version: 1.02.00 (2005-11-10)
  Driver version:  4.4.0
Comment 1 Corey Marthaler 2005-11-15 13:56:16 EST
this is reproducable
Comment 2 Alasdair Kergon 2005-11-15 14:54:19 EST
Please capture a sysrq backtrace of all the processes.

This is a test to reproduce when we have the new kernel to see whether or not
the changes have fixed it.
Comment 3 Corey Marthaler 2006-01-18 16:58:54 EST
This appears to be fixed with the latest kern/rpms

[root@link-08 bin]# uname -ar
Linux link-08 2.6.9-28.ELsmp #1 SMP Fri Jan 13 17:08:22 EST 2006 x86_64 x86_64
x86_64 GNU/Linux
[root@link-08 bin]# rpm -q lvm2
lvm2-2.02.01-1.3.RHEL4
[root@link-08 bin]# rpm -q device-mapper
device-mapper-1.02.02-3.0.RHEL4
Comment 4 Alasdair Kergon 2006-01-19 12:54:44 EST
OK - not sure exactly which of the changes fixed this, but closing anyway.

Note You need to log in before you can comment on or make changes to this bug.